import { useState, useRef } from "react";

const useRecaptcha = () => {
  const [capchaToken, setCapchaToken] = useState(null); // Menyimpan token reCAPTCHA
  const recaptchaRef = useRef(); // Menggunakan ref untuk reCAPTCHA jika perlu manipulasi lebih lanjut

  // Fungsi untuk menangani perubahan token setelah reCAPTCHA berhasil
  const handleRecaptcha = (token) => {
    if (token) {
      setCapchaToken(token); // Set token jika berhasil
    } else {
      setCapchaToken(null); // Reset token jika tidak ada token
    }
  };

  return {
    capchaToken, // Mengembalikan token
    recaptchaRef, // Referensi reCAPTCHA
    handleRecaptcha, // Fungsi untuk menangani perubahan token
  };
};

export default useRecaptcha;
